FLTK 1.4.4

Loading...
Searching...
No Matches
mac.H File Reference

Mac OS X-specific symbols. More...

Go to the source code of this file.

## Classes
class | Fl_Mac_App_Menu

## Functions
Fl_Window * | fl_mac_find (FLWindow *)
| Returns the Fl_Window corresponding to the given macOS-specific window reference.
CGContextRef | fl_mac_gc ()
| Returns the macOS-specific graphics context for the current window.
void | fl_mac_set_about (Fl_Callback *cb, void *user_data, int shortcut=0)
| Attaches a callback to the "About myprog" item of the system application menu.
FLWindow * | fl_mac_xid (const Fl_Window *win)
| Returns the macOS-specific window reference corresponding to the given Fl_Window object.

## Variables
int | fl_mac_os_version
| The version number of the running Mac OS X (e.g., 100604 for 10.6.4, 101300 for 10.13, 140102 for 14.1.2).

## Detailed Description

Mac OS X-specific symbols.